summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBrad King <brad.king@kitware.com>2020-02-24 16:54:15 (GMT)
committerBrad King <brad.king@kitware.com>2020-02-24 16:58:07 (GMT)
commit09ab19a69692176946a9594e69e35bc6605bd106 (patch)
tree5ca17e35d59b7664e4e77e3a2dcef9457057576c
parent21d72777fbbfcf2ab074f8f78838e487f144077d (diff)
downloadCMake-09ab19a69692176946a9594e69e35bc6605bd106.zip
CMake-09ab19a69692176946a9594e69e35bc6605bd106.tar.gz
CMake-09ab19a69692176946a9594e69e35bc6605bd106.tar.bz2
bzip2: add script to import bzip2 from upstream
-rwxr-xr-xUtilities/Scripts/update-bzip2.bash27
1 files changed, 27 insertions, 0 deletions
diff --git a/Utilities/Scripts/update-bzip2.bash b/Utilities/Scripts/update-bzip2.bash
new file mode 100755
index 0000000..dc8dc02
--- /dev/null
+++ b/Utilities/Scripts/update-bzip2.bash
@@ -0,0 +1,27 @@
+#!/usr/bin/env bash
+
+set -e
+set -x
+shopt -s dotglob
+
+readonly name="bzip2"
+readonly ownership="bzip2 upstream <kwrobot@kitware.com>"
+readonly subtree="Utilities/cmbzip2"
+readonly repo="https://sourceware.org/git/bzip2.git"
+readonly tag="bzip2-1.0.5"
+readonly shortlog=false
+readonly paths="
+ LICENSE
+ README
+ *.c
+ *.h
+"
+
+extract_source () {
+ git_archive
+ pushd "${extractdir}/${name}-reduced"
+ echo "* -whitespace" > .gitattributes
+ popd
+}
+
+. "${BASH_SOURCE%/*}/update-third-party.bash"